Subject: bug#35770: [PATCH] Broken duplicate case elimination in switch byte-compilation

From: Mattias Engdegård <[email-masked]>
Date: Mon, 27 May 2019 13:27:38 +0200

27 maj 2019 kl. 00.06 skrev Stefan Monnier <[email-masked]>:
> 
> I personally don't have a preference.  I find reverting the change to be
> a more intrusive change with more risks of errors, but it's likely
> a wash either way.
> 
> FWIW I also think it's generally good to introduce new byte-codes in one
> version and only enable the compiler to use them in the next version
> (that's what I did for the condition-case byte codes, for example).

Trying to revert 'the rest' (the switch code generation) while keeping the switch op itself seems indeed to be risky and a lot of work compared to just turning off the generation. It is not a matter of finding a few commits to revert; there are fixes upon fixes, and changes that need to be untangled. It does not sound very practical.

Since nobody complained about the actual bug fix, I'm boldly pushing it to master.